package HSPC::MutexName;
use strict;
use SWsoft::protect;

use vars qw(@ISA @EXPORT);

use Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(
	&mutex_ar_doc &mutex_subscr &mutex_doc_batch
	&mutex_account &mutex_acc_bal
);


use HSPC::Logger qw(sw_die);

sub mutex_doc_batch {
	my $id = shift || sw_die("Specify id, please");
	return sprintf("doc_batch_%06d", $id);
}

sub mutex_ar_doc {
	my $id = shift || sw_die("Specify id, please");
	return sprintf("ar_doc_%06d", $id);
}

sub mutex_subscr {
	my $id = shift || sw_die("Specify id, please");
	return sprintf("subscr_%06d", $id);
}

sub mutex_account {
	my $id = shift || sw_die("Specify id, please");
	return sprintf("account_%06d", $id);
}

sub mutex_acc_bal {
	my $id = shift || sw_die("Specify id, please");
	return sprintf("acc_bal_%06d", $id);
}

1;

__END__
